summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rw-r--r--misc/heyu/README28
-rw-r--r--misc/heyu/heyu.SlackBuild74
-rw-r--r--misc/heyu/heyu.info8
-rw-r--r--misc/heyu/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/misc/heyu/README b/misc/heyu/README
new file mode 100644
index 0000000000..7e2da03ba5
--- /dev/null
+++ b/misc/heyu/README
@@ -0,0 +1,28 @@
+This program operates an X10 module via a CM11A computer interface. It is
+based on the program X10 by Larry Cambell as modified by Paul Fox. All but a
+few functions have been changed enough that they no longer interwork with
+the original. I think this justifies issuing the program as 'heyu' instead
+of 'x10'.
+
+The program name comes from the old joke about having a 3rd person in the
+house. Ida No was the one frequently blamed when things went wrong. In my
+house it was the frequently heard yells of "Heyu! Turn off the lights!"
+A poor joke, but I like it.
+
+The program is strictly command line driven, and works well with crontab.
+Crontab can be used to schedule events. You can also upload timers and
+macros to the CM11's memory.
+
+The program comes complete with source code, sample config files, MAN pages
+an executable binary. The program has options to allow you to:
+
+ * Get the date and time from the interface
+ * Get information about current settings and module states
+ * Turn an X10 module on or off
+ * Dim or brighten an X10 module
+ * Monitor all data sent to or from the CM11A
+ * Get the status of intelligent X10 modules (rr501 for instance)
+ * Set the X10 clock from the computer's clock (time and date)
+ * Zero out the macro and event memory of the X10
+ * Upload macros and timers
+ * preset the dim level of advanced two way devices
diff --git a/misc/heyu/heyu.SlackBuild b/misc/heyu/heyu.SlackBuild
new file mode 100644
index 0000000000..6e2b8e2a28
--- /dev/null
+++ b/misc/heyu/heyu.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for heyu
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=heyu
+VERSION=${VERSION:-2.4.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./Configure
+
+# Configure script doesn't support CFLAGS, and the Makefile's CFLAGS
+# include a bunch of program-specific defines, so:
+sed -i 's/-g -O/'"$SLKCFLAGS"/ Makefile
+
+make
+strip --strip-unneeded $PRGNAM
+
+# Makefile is non-standard, just install "manually".
+# It's just one binary and some man pages.
+mkdir -p $PKG/usr/bin
+cp $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+for sec in 1 5; do
+ for page in *.$sec; do
+ gzip -9c < $page > $PKG/usr/man/man1/$page.gz
+ done
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README* *.txt LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/$PRGNAM
+cp x10.sched.sample $PKG/etc/$PRGNAM
+cp x10config.sample $PKG/etc/$PRGNAM/x10.conf.sample
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/heyu/heyu.info b/misc/heyu/heyu.info
new file mode 100644
index 0000000000..5f4cfd9a95
--- /dev/null
+++ b/misc/heyu/heyu.info
@@ -0,0 +1,8 @@
+PRGNAM="heyu"
+VERSION="2.4.0"
+HOMEPAGE="http://www.heyu.org/"
+DOWNLOAD="http://www.heyu.org/download/heyu-2.4.0.tgz"
+MD5SUM="8a09e6b470afe58f55c114c107509de2"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/heyu/slack-desc b/misc/heyu/slack-desc
new file mode 100644
index 0000000000..c82d376620
--- /dev/null
+++ b/misc/heyu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+heyu: heyu (X10 module controller software)
+heyu:
+heyu: This program operates an X10 module via a CM11A computer interface.
+heyu: It is based on the X10 program by Larry Cambell as modified by
+heyu: Paul Fox. All but a few functions have been changed enough that
+heyu: they no longer interwork with the original. I think this justifies
+heyu: issuing the program as 'heyu' instead of 'x10'.
+heyu:
+heyu: Homepage: http://www.heyu.org
+heyu:
+heyu: